        <div class="card">
            <div class="card-body bg-gradient">
                <div class="row" id="planHeader"> <!-- main header -->

                    <div class="col-md-10">

                        <div class="row">
                            <div class="col-md-1">Plan Name:</div>
                            <div class="col-md-11"><%- plan.planName %></div>
                        </div>

                        <div class="row">
                            <div class="col-md-1">Variant:</div>
                            <div class="col-md-11"><%- variant %></div>
                        </div>

                        <div class="row">
                            <div class="col-md-1">Plan ID:</div>
                            <div class="col-md-11"><%- plan._id %></div>
                        </div>

                        <div class="row">
                            <div class="col-md-1">Description:</div>
                            <div class="col-md-11"><%- plan.description %></div>
                        </div>

                        <div class="row">
                            <div class="col-md-1">Plan Version:</div>
                            <div class="col-md-11"><%- plan.version %></div>
                        </div>

                        <div class="row">
                            <div class="col-md-1">Started:</div>
                            <div class="col-md-11"><%- plan.started %></div>
                        </div>

                        <% if (!public && FAPI_UI.currentUser && FAPI_UI.currentUser.isAdmin) { %>
                        <div class="row">
                            <div class="col-md-1">Test Owner:</div>
                            <div class="col-md-11">
                                <%= FAPI_UI.logTemplates.OWNER({owner: plan.owner}) %>
                            </div>
                        </div>
                        <% } %>

                        <% if (plan.certificationProfileName) { %>
                        <div class="row">
                            <div class="col-md-1">Certification profile:</div>
                            <div class="col-md-11"><%- plan.certificationProfileName %></div>
                        </div>
                        <% } %>

                        <% if (plan.summary) { %>
                        <div class="row">
                            <div class="col-md-12">
                                <p class="bgSummary bg-info"><%- plan.summary %></p>
                            </div>

                        </div>
                        <% } %>
                        <div class="row top10">
                            <div class="col-md-12"><div class="disclaimerText"></div></div>
                        </div>
                    </div>

                    <div class="col-md-2">
                        <div class="d-grid gap-1">
                            <% if (!public) { %>
                                <button class="btn btn-sm btn-light bg-gradient border border-secondary" id="showConfigBtn"><span class="bi bi-wrench-adjustable"></span> View Config</button>
                                <a href="schedule-test.html?edit-plan=<%- plan._id %>" class="btn btn-sm btn-light bg-gradient border border-secondary" title="Create a new test plan based on the configuration used in this one"><span class="bi bi-pencil-square"></span> Edit configuration</a>
                            <% } %>
                            <% if (!public || plan.publish == "everything") { %>
                                <% if (FAPI_UI.currentUser && FAPI_UI.currentUser.isAdmin) { %>
                                    <button class="btn btn-sm btn-light bg-gradient border border-secondary" id="downloadAllBtn"><span class="bi bi-save2"></span> Download all Logs</button>
                                <% } %>
                            <% } %>
                            <% if (!public) { %>
                                <% if (!plan.publish) { %>
                                    <% if (FAPI_UI.currentUser) { %>
                                        <button class="btn btn-sm btn-light bg-gradient border border-secondary" data-publish="summary"><span class="bi bi-bookmarks"></span> Publish summary</button>
                                        <button class="btn btn-sm btn-light bg-gradient border border-secondary" id="publishBtn"><span class="bi bi-bookmarks"></span> Publish everything</button>
                                    <% } %>
                                <% } else { %>
                                    <% if (FAPI_UI.currentUser.isAdmin) { %>
                                        <button class="btn btn-sm btn-light bg-gradient border border-secondary" id="unpublishBtn" data-publish=""><span class="bi bi-slash-circle"></span> Unpublish</button>
                                    <% } %>
                                <a href="plan-detail.html?plan=<%- plan._id %>&public=true" class="btn btn-sm btn-info bg-gradient border border-secondary"><span class="bi bi-bookmarks"></span> Public link</a>
                                <% } %>
                                <button class="btn btn-sm btn-light bg-gradient border border-secondary" id="certificationPackageBtn" title="Publish and prepare certification submission package" disabled><span class="bi bi-save2"></span> Publish for certification</button>
                            <% } %>
                            <% if (plan.immutable && FAPI_UI.currentUser && FAPI_UI.currentUser.isAdmin) { %>
                            <button class="btn btn-sm btn-light bg-gradient border border-secondary" id="removeImmutableFlagBtn" data-immutable="false"><span class="bi bi-pencil-square"></span> Make plan Mutable</button>
                            <% } %>
                            <% if (!plan.immutable && !public) { %>
                            <button class="btn btn-sm btn-danger bg-gradient border border-secondary" id="deleteMutablePlanBtn"><span class="bi bi-trash"></span> Delete plan</button>
                            <% } %>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid" id="planItems"> <!-- container for plan results -->
            <% _.each(plan.modules, function(module) { %>
                <% var lastInstance = module.instances.pop(); %>
            <div class="row logItem" data-instance-id="<%- lastInstance %>">
                <div class="col-md-2 testStatusAndResult">

                </div>
                <div class="col-md-2">
                    <div class="d-grid gap-1">
                        <% if (!public && !plan.immutable) { %>
                        <button class="btn btn-sm btn-light bg-gradient border border-secondary startBtn" data-module="<%- module.testModule %>" data-variant="<%- JSON.stringify(module.variant) %>"><span class="bi bi-play-fill"></span> Run Test</button>
                        <% } %>
                        <a class="btn btn-sm btn-light bg-gradient border border-secondary collapse viewBtn" href="log-detail.html?log=<%- encodeURIComponent(lastInstance) %><%- public ? '&public=true' : '' %>"><span class="bi bi-file-earmark"></span> View Logs</a>
                        <% if (!public || plan.publish == "everything") { %>
                        <button class="btn btn-sm btn-light bg-gradient border border-secondary collapse downloadBtn"><span class="bi bi-save2"></span> Download Logs</button>
                        <% } %>
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="row">
                        <div class="col-md-2">Test Name:</div>
                        <div class="col-md-10"><%- module.testModule %><sup><span class="bi bi-question-circle-fill" data-bs-toggle="tooltip" title="<%- module.testSummary ? module.testSummary : '' %>" data-bs-placement="right"></span></sup></div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">Variant:</div>
                        <div class="col-md-10"><%- FAPI_UI.formatVariant(module.variant) %></div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">Test ID:</div>
                        <div class="col-md-10"><%- lastInstance ? lastInstance : 'NONE' %></div>
                    </div>
                    <div class="row">
                        <div class="col-md-2">Test Version:</div>
                        <div class="col-md-10 testVersion"></div>
                    </div>
                </div>
            </div>
            <% }); %>
        </div>
